June 7th, 2000 - v1.3.1 released.
-------------------------------------------------------------------------------
Fixes:
- Remove erroneous line in gnotepad+.spec[.in] file which caused the
  rpm build to fail (John Gotts).
- Drop extra call to gtk_text_thaw() when saving a file, which caused
  cursor updates to fail until the next time the window was
  refreshed/redrawn.


May 10th, 2000 - v1.3.0 FINAL released.
-------------------------------------------------------------------------------
New Features:
- New preferences for limiting the number of undo levels.
- Session management (saving opened files on exiting gnotepad, and
  automatically opening them when starting again).
- Wheeled-mouse support.

Improvements:
- Update man page to reflect new command line options.
- Use new pixmap icon, taken from the unused GNOME icon set.
- Updated Japanese translation (Yoichi Asai).
- Updated Danish translation (Birger Langkjer).
- For GNOME, use popt to parse command line.  For non-GNOME, use
  getopt() or getopt_long() if available.
- Use GNOME properties box, so that the preferences dialog looks
  consistent with other GNOME applications.
- Minor cleanups of search/replace code.
- Use libglade for building a number of the dialogs (preferences,
  about, search, search/replace, goto line, doclist, winlist, message
  box, and HTML tag chooser).
- GNOME help files (HTML) for the Preferences/Properties dialog box.
- Saving preferences is a LOT faster now.
- Provide options to put username and/or hostname into the window
  title.
- Search and replace now reports how many replacements were made.

Fixes:
- Changes in print command were never saved (Jim Clark).
- "Tab Stop Width" had incorrect French translation (Roland Baudin).
- Always save window size, but disallow user to specify size in prefs,
  and only allow user to toggle it on/off.
- Newly created Untitled docs didn't get correct fonts and color
  settings if a GTK theme is used which already sets them (Yoichi
  Asai).
- Regular expression searches were always enabled/used by default.
- Undoing replaced text whose initial search was not case sensitive
  resulted in restoring the text initially searched for, not the text
  actually replaced (initial text and actual text may have different
  cases).
- Repeated undos after HTML tag insertion on highlighted characters
  results in a crash (James LewisMoss).


Apr 25th, 2000 - v1.3.0pre4 released.
-------------------------------------------------------------------------------
Improvements:
- Use libglade for message box and HTML tag chooser dialog boxes.
- Search and replace now reports how many replacements were made.

Fixes:
- Wheeled mouse scrolling was in reverse (up was down, and vice
  versa).
- Repeated undos after HTML tag insertion on highlighted characters
  results in a crash (James LewisMoss).


Apr 18th, 2000 - v1.3.0pre3 released.
-------------------------------------------------------------------------------
Improvements:
- Saving preferences is a LOT faster now.
- Provide options to put username and/or hostname into the window
  title.
- Another stab at possible wheeled-mouse support.
- Updated Japanese translation (Yoichi Asai).


Apr 3rd, 2000 - v1.3.0pre2 released.
-------------------------------------------------------------------------------
Improvements:
- Use GNOME properties box, so that the preferences dialog looks
  consistent with other GNOME applications..
- Minor cleanups of search/replace code.
- Use libglade for building a number of the dialogs (preferences,
  about, search, search/replace, goto line, doclist, winlist).
- Updated Japanese translation (Yoichi Asai).
- GNOME help files (HTML) for the Preferences/Properties dialog box.

Fixes:
- Erroneous use of g_strdup_printf() in the "About" dialog which
  caused gnotepad to crash.
- Regular expression searches were always enabled/used by default.
- Undoing replaced text whose initial search was not case sensitive
  resulted in restoring the text initially searched for, not the text
  actually replaced (initial text and actual text may have different
  cases).


Mar 23rd, 2000 - v1.3.0pre1 released.
-------------------------------------------------------------------------------
New Features:
- New preferences for limiting the number of undo levels.
- Session management (saving opened files on exiting gnotepad, and
  automatically opening them when starting again).

Improvements:
- Update man page to reflect new command line options.
- Use new pixmap icon, taken from the unused GNOME icon set.
- Updated Japanese translation (Yoichi Asai).
- Updated Danish translation (Birger Langkjer).
- For GNOME, use popt to parse command line.  For non-GNOME, use
  getopt() or getopt_long() if available.

Fixes:
- Changes in print command were never saved (Jim Clark).
- "Tab Stop Width" had incorrect French translation (Roland Baudin).
- Always save window size, but disallow user to specify size in prefs,
  and only allow user to toggle it on/off.
- Newly created Untitled docs didn't get correct fonts and color
  settings if a GTK theme is used which already sets them (Yoichi
  Asai).


Feb 29th, 2000 - v1.2.0 released.
-------------------------------------------------------------------------------
New Features:
- Source control commands, for interfacing with your favorite source
  control program (e.g., RCS, SCCS, etc.).  This idea was taken from 
  the CRiSP Visual Text Editor (http://www.crisp.com).
- Expanded HTML editing capabilities.  HTML tags supporting tables,
  frames, forms, and much more.
- An "advanced" HTML toolbar, where multiple HTML toolbars are
  provided/combined into a single notebook.
- Enhanced File Selection Dialog.  Allows you to select multiple
  files, a "reread dir" button, and more.
- Internationalization support!  Initial patch and Japanese
  translation provided by to Yoichi Asai, Akihiro Sagawa, and Yasuhiro
  Shirasaki.  French tranlation by Mathieu Roy.  Danish translation by
  Birger Langkjer.
- New preferences:
	- tab stop: allows you to change the width of the tab stop.
	- use fontsets
	- winlist and html view window geometries
	- read buffer size
- Support for using the GtkHtml widget for viewing HTML.
- For search & replace, allow replace with empty strings.
- Use new pixmap from JcB, used for the minimized window icon.

Improvements:
- When inserting HTML tags, if text is already highlighted/selected,
  then put the HTML tag around the currently selected text.
- When saving a file, if the file has no changes, then don't actually
  save anything (e.g., write to disk).  print a message in the message
  bar indicating this.
- When a directory is opened, the "File Info" button now shows "D" to
  indicate the current document is a directory.  Contrary to popular
  belief, it really is OK to open a directory; it just doesn't make
  any sense to edit one.
- The configure script now checks for GTK even if GNOME's gnome-config
  is found.  The "sh: --version not found" message now goes away too.
- Add HTML submenu for use with gtk+-1.0.x.

Fixes:
- Semi-random crashing, especially when selecting "Save" from the
  preferences dialog.
- Don't open and read directories.
- If no backup directory is specified, save the backup in the same
  directory as the original file.
- (Try to) preserve original ownership and permissions on original
  file after making a backup.
- A small memory leak when setting the main window's title.
- Opening files on the command line didn't put the filename into the
  window's title, but manually opening a file after starting gnotepad
  did.
- When switching between documents, the position in the document is
  now preserved.  Previously, the position was lost when an unchanged
  file is unloaded from memory.
- When doing a "Replace All" from the beginning of the document using
  a case insensitive search, it would repeatedly replace the same word
  over and over again.
- When saving preferences, manually print "(null)" if the data is NULL
  since not all C libraries do this for you (e.g., printf() with a
  NULL string fails on Solaris 5.6).
- If there were unsaved files and the window was closed via the
  "delete" event (e.g., clicking on the "X" in the upper right corner
  of the window frame), selecting "Cancel" on the save dialog resulted
  in the window still remaining hidden.
- Crash when "Ok" button is hit on the source code control dialog.
- Saving/restoring window sizes really works now (except if you are
  using gtk+-1.0.x).
- Small memory leaks.
- Small autoconf fix to properly use default enabler values (Rene'
  Seindal).
- Permissions problem with temp file when printing (Francois Darras).
- Small fix for saving/restoring the locale (Alexey Vyskubov).


Feb 16th, 2000 - v1.2.0pre5 released.
-------------------------------------------------------------------------------
Improvements:
- Updated internationalization patch (Yasuhiro Shirasaki and Yoichi
  Asai).
- Add preferences settings for winlist and html view geometries.
- Add preferences setting for read buffer size.
- Add French translations (Mathieu Roy).
- For search & replace, allow replace with empty strings.

Fixes:
- Small autoconf fix to properly use default enabler values (Rene'
  Seindal).
- Numerous small fixes/improvements in source code control commands.
- Permissions problem with temp file when printing (Francois Darras).
- Small fix for saving/restoring the locale (Alexey Vyskubov).

Misc changes (let's keep things simple):
- Revert: do NOT enable project features by default.
- Remove aggressive read method.


Dec 13th, 1999 - v1.2.0pre4 released.
-------------------------------------------------------------------------------
New Features:
- Support for using the GtkHtml widget for viewing HTML.
- Use new pixmap from JcB, used for the minimized window icon.
- New preference: use fontsets.

Improvements:
- Incorporated a more complete internationalization patch from Yoichi
  Asai and Yasuhiro Shirasaki.
- The configure script now checks for GTK even if GNOME's gnome-config
  is found.  The "sh: --version not found" message now goes away too.
- More, basic infrastructure code for project management.
- Add HTML submenu for use with gtk+-1.0.x.
- Various code cleanup.

Fixes:
- Crash when "Ok" button is hit on the source code control dialog.
- Compilation broke in menu.c if --disable-gnome and --enable-nls were
  specified together.
- Saving/restoring window sizes really works now (except if you are
  using gtk+-1.0.x).
- Small memory leaks.


Nov 4th, 1999 - v1.2.0pre3 released.
-------------------------------------------------------------------------------
New Features:
- Internationalization support!  Initial translation is in Japanese.
  Many thanks to Yoichi Asai, Akihiro Sagawa, and Yasuhiro Shirasaki
  for doing the work and providing the patch.
- New preference: tab stop.  You can now change the width of the tab
  stop.

Improvements:
- The document "Project" code, although not fully implemented, is now
  enabled by default.
- Squash a couple of compiler warnings in gtkefilesel.c.

Fixes:
- when doing a "Replace All" from the beginning of the document using
  a case insensitive search, it would repeatedly replace the same word
  over and over again.
- when saving preferences, manually print "(null)" if the data is NULL
  since not all C libraries do this for you (e.g., printf() with a
  NULL string fails on Solaris 5.6).
- If there were unsaved files and the window was closed via the
  "delete" event (e.g., clicking on the "X" in the upper right corner
  of the window frame), selecting "Cancel" on the save dialog resulted
  in the window still remaining hidden.


Oct 7th, 1999 - v1.2.0pre2 released.
-------------------------------------------------------------------------------
This version is a bug fix over 1.2.0pre1.  From the ChangeLog:

Improvements:
- when saving a file, if the file has no changes, then don't actually
  save anything (e.g., write to disk).  print a message in the message
  bar indicating this.
- when a directory is opened, the "File Info" button now shows "D" to
  indicate the current document is a directory.  Contrary to popular
  belief, it really is OK to open a directory; it just doesn't make
  any sense to edit one.

Fixes:
- small memory leak when setting the main window's title.
- opening files on the command line didn't put the filename into the
  window's title, but manually opening a file after starting gnotepad
  did.
- when switching between documents, the position in the document is
  now preserved.  Previously, the position was lost when an unchanged
  file is unloaded from memory.
- in gtkefilesel.c, fix small mem leak, and handle error if ctime() or
  getpwuid() fails.


July 21st, 1999 - v1.2.0pre1 released.  Highlights:
-------------------------------------------------------------------------------
New Features:
- source control commands, for interfacing with your favorite source
  control program (e.g., RCS, SCCS, etc.).  This idea was taken from 
  the CRiSP Visual Text Editor (http://www.crisp.com).
- gnotepad+ is now good for editing HTML!  There are tons more HTML
  editing capabilities, including HTML tags for tables, frames, and
  forms.  Numerous ideas and toolbar icons, but absolutely zero code,
  taken from WebMaker (http://www.services.ru/linux/webmaker) and
  Bluefish (http://bluefish.linuxbox.com).
- Enhanced File Selection Dialog.  Allows you to select multiple
  files, a "reread dir" button, and more.

Improvements:
- when inserting HTML tags, if text is already highlighted/selected,
  then put the HTML tag around the currently selected text.
- the HTML toolbar now has an "Advanced" option, where multiple HTML
  toolbars are combined into one notebook.  To enable this, open the
  preferences, and under "HTML Toolbar", check the "Advanced" button.

Fixes:
- semi-random crashing, especially when selecting "Save" from the
  preferences dialog.
- don't open and read directories.
- if no backup directory is specified, save the backup in the same
  directory as the original file.
- (try to) preserve original ownership and permissions on original
  file after making a backup.
- lots of other internal changes/fixes for better performance and code
  maintainability.


May 6th, 1999 - v1.1.4 released.  Highlights:
-------------------------------------------------------------------------------
- fix: don't try to save a backup if the file doesn't exist (e.g., doing
  a Save/SaveAs on an Untitled document). 
- fix: after saving an Untitled document, the document doesn't show up
  in the recent list/menu. 
- fix: drop redundant '/' in preferences directory path (patch from
  Roderik Muit). 
- change: fix ordering of include files for more portable usage; e.g.,
  on OS/2 (patch from Asbjoern Pettersen). 
- improve: better automake/autoconf setup in that you can compile from
  somewhere other than the source directory (patch from Markus
  Linnala). 
- add: more compile time options (for file info popup and win list). 
- improve: toolbar buttons for undo/redo now get grayed out when there
  is nothing to undo/redo. 


Mar 20, 1999 - v1.1.3 released.  Highlights:
-------------------------------------------------------------------------------
- add: lots of compile time options to the configure script.  most
  features/options to gnotepad+ can now be compiled out.
- change: gnotepad+ now runs in the foreground by default.
- fix: random segfaults when used with gtk+-1.0.x.
- fix: opening a file from the recent list also produced a document
  with the file contents listed twice.


Mar 10, 1999 - v1.1.2 released.  This is a bug fix release:
-------------------------------------------------------------------------------
- fix: opening a file after gnp has started resulted in the file's
  contents listed twice!
- fix: memory leak in the random tips
- add: gnotepad+.desktop file for GNOME to make gnotepad+ appear in
  the GNOME menu.


Mar 7, 1999 - v1.1.1 released.  Highlights:
-------------------------------------------------------------------------------
new features:
	- regular expression searches
	- search & replace now has "Replace All"
	- unlimited undo/redo (well, limited by amount of
	  memory)
	- more toolbar buttons (undo, redo, new window, close
	  window)

fixes:
	- autosave was trying to save documents with no filename
	- when closing a window, the random tips timeout event was not
	  being removed
	- "Find Again" fail if the previous find started at the
	  beginning of the document
	- file backup fails if file had full pathname
	- "Find" failed if used with GNOME (was using wrong callback
	  routine)

other cleanups and improvements


Feb 18th, 1999 - v1.1.0 released.  highlights:
-------------------------------------------------------------------------------
major internal (and some external) changes in this release

new options:
	- inserting output from a shell command
	- create backup file before saving a file.
	- all toolbar buttons (both the main toolbar as well as the
	  HTML toolbar) are user selectable to be shown or not.
	- menu options: view HTML files using three different methods:

		1. in a separate HTML viewing window
		2. as another document in gnotepad+'s document notebook
		3. using Netscape

	  the first two options require the gtk-xmhtml library.  if
	  you use Gnome, you probably already have it.  if not, you
	  can also get the sources from the gnotepad+ homepage.
	- the "Replace" in "Search and Replace" is now available.
	- --nosplash option, to disable the initial init/splash
	  screen.
	- both --nofork and --nosplash are configurable in
	  preferences.
	- for gtk+-1.1.x, menu items now have toggle and radio
	  buttons.
	- now with Gnome bloat, err, support!
	- drag and drop to AND from gnotepad, either with gtk+-1.1.x,
	  as well as gnome.

improvements:
	- much reduced memory usage and greater speed, especially
	  noticeable when opening and closing numerous files. e.g.,
	  try opening 100 or more files on the command line, and then
	  closing all of them using the "Close All" command.  compared
	  to previous versions, it's at least an order of magnitude
	  faster and uses considerably less memory.
	- when opening multiple files during startup, only the last
	  'maxrecent' files "opened" get added to the recent document
	  list.

bug fixes:
	- use free() when malloc() was used, and g_free() whenever
	  g_malloc() was used.
	- major bug where duplicates in the recent document list
	  showed up as duplicates/non-existent entries in the menu
	  itself.
	- lots of other smaller, miscellaneous fixes.


Jan 21st, 1999 - v1.0.8 released.  highlights:
-------------------------------------------------------------------------------
- new feature: HTML toolbar and "Insert HTML" sub-menu.  these allow
  you to insert commonly used HTML tags directly into the document
  currently being edited.
- fix autosave: don't save UNTITLED documents.
- numerous other cleanups, fixes, and code restructuring.


Jan 6th, 1999 - v1.0.7 released.  highlights:
-------------------------------------------------------------------------------
- this is basically a bug fix version for use with gtk+-1.1.12.  no
  new features or other bug fixes have been made since v1.0.6.


Dec 15th, 1998 - v1.0.6 released.  highlights:
-------------------------------------------------------------------------------
- compatibility with gtk+-1.1.7
- various bug fixes and optimizations (see ChangeLog for more details)


Nov 25th, 1998 - v1.0.5 released.  highlights:
-------------------------------------------------------------------------------
- compatibility with gtk+-1.1.5
- added menu accelerators and tearoffs (if using gtk+-1.1.x)


Nov 22nd, 1998 - v1.0.4 released.  highlights:
-------------------------------------------------------------------------------
- fix erroneous "Read Only" bug when saving a new file
- if using gtk-1.1.x, fonts and color changes now take immediate
  effect across all documents in all windows.
- preferences page now sports a "preview" window which shows what the
  new font/color changes would look like.


Nov 15th, 1998 - v1.0.3 released.  highlights:
-------------------------------------------------------------------------------
- preferences: uses tables to nicely format and align entries; add
  options to set toolbar buttons to raised or non-raised (if using
  gtk-1.1.x only)
- toolbar pixmaps are now loaded at runtime instead of statically
  compiled into the code
- replace a number of toolbar pixmaps with new pixmaps that use fewer
  colors
- a few bug fixes


Oct 18th, 1998 - v1.0.2 released.  highlights:
-------------------------------------------------------------------------------
- new preferences: font selection, foreground text color, and
  background text color
- improved detection and portability in autoconf configuration
- Debian 2.x packages now available


Oct 12th, 1998 - v1.0.1 released.  highlights:
-------------------------------------------------------------------------------
- compiles/runs with gtk-1.1.2 (GTK development version)
- now uses GNU autoconf, automake, etc. (e.g., ./configure)
- bug fixes


Oct 9th, 1998 - v1.0 released.

